> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1domains



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/domains/{domain}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/domains/{domain}:
    put:
      tags:
        - Domains
      operationId: domains.update
      parameters:
        - name: domain
          in: path
          required: true
          description: The domain ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                is_active:
                  type: boolean
              required:
                - is_active
      responses:
        '200':
          description: '`DomainData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DomainData'
                required:
                  - data
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Domain is not ready.
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    DomainData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
        domain:
          type: string
        domain_plan_id:
          type: string
        domain_account_tld_id:
          type:
            - string
            - 'null'
        domain_proxy_id:
          type:
            - string
            - 'null'
        cost:
          type:
            - string
            - 'null'
        checked_availability_at:
          type:
            - string
            - 'null'
        registered_at:
          type:
            - string
            - 'null'
        configured_at:
          type:
            - string
            - 'null'
        total_sms_sent:
          type:
            - string
            - 'null'
        used_at:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        https_support:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        is_active:
          type: boolean
          default: false
      required:
        - id
        - domain
        - domain_plan_id
        - domain_account_tld_id
        - domain_proxy_id
        - cost
        - checked_availability_at
        - registered_at
        - configured_at
        - total_sms_sent
        - used_at
        - status
        - https_support
        - created_at
        - updated_at
        - is_active
      title: DomainData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````